Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jetty.security.authentication
Interface LoginCallback

All Known Implementing Classes:
  LoginCallbackImpl

    public interface LoginCallback

This is similar to the jaspi PasswordValidationCallback but includes user principal and group info as well.

Version:
  $Rev: 4792 $ $Date: 2009-03-18 22:55:52 +0100 (Wed, 18 Mar 2009) $

Method Summary
`void` | `clearPassword()`
`java.lang.Object` | `getCredential()`
`java.lang.String[]` | `getRoles()`
`javax.security.auth.Subject` | `getSubject()`
`java.lang.String` | `getUserName()`
`java.security.Principal` | `getUserPrincipal()`
`boolean` | `isSuccess()`
`void` | `setRoles(java.lang.String[] roles)`
`void` | `setSuccess(boolean success)`
`void` | `setUserPrincipal(java.security.Principal userPrincipal)`

Method Detail

### getSubject

    javax.security.auth.Subject getSubject()

### getUserName

    java.lang.String getUserName()

### getCredential

    java.lang.Object getCredential()

### isSuccess

    boolean isSuccess()

### setSuccess

    void setSuccess(boolean success)

### getUserPrincipal

    java.security.Principal getUserPrincipal()

### setUserPrincipal

    void setUserPrincipal(java.security.Principal userPrincipal)

### getRoles

    java.lang.String[] getRoles()

### setRoles

    void setRoles(java.lang.String[] roles)

### clearPassword

    void clearPassword()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.